Bug 3597 - some spamd functions have inverse return codes
Summary: some spamd functions have inverse return codes
Status: RESOLVED FIXED
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: spamc/spamd (show other bugs)
Version: SVN Trunk (Latest Devel Version)
Hardware: Other other
: P5 minor
Target Milestone: Undefined
Assignee: Michael Parker
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-12 07:56 UTC by Theo Van Dinter
Modified: 2005-03-23 02:48 UTC (History)
1 user (show)



Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description Theo Van Dinter 2004-07-12 07:56:22 UTC
There was a discussion about this type of thing on sa-dev a while ago...  We
ended up deciding that in the perl tradition "0" is an error code and "1" is
"ok", as returned from a function.  However, several functions in spamd do the
opposite:

check()
parse_headers()
got_user_header()
got_clen_header()

Since these are all spamd-internal functions, I don't think it's a big issue
right now, but we ought to fix it for a later version.
Comment 1 Michael Parker 2005-03-17 10:00:46 UTC
Most likely this will be fixed from my changes to 1201...
Comment 2 Michael Parker 2005-03-18 15:01:55 UTC
Done via 1201